GET
/api/integrations/google-idpGet All Google IDP Integrations
Retrieves all Google Workspace IDP integrations for the authenticated account
200A list of Google IDP integrations.
enabledbooleanrequired
Whether the integration is enabled
connector_idstringoptional
DEX connector ID for embedded IDP setups
group_prefixesarray<string>required
List of start_with string patterns for groups to sync
user_group_prefixesarray<string>required
List of start_with string patterns for groups which users to sync
customer_idstringrequired
Customer ID from Google Workspace
idintegerrequired
The unique identifier for the integration
last_synced_atstringrequired
Timestamp of the last synchronization
sync_intervalintegerrequired
Sync interval in seconds
401Unauthorized.
messagestringoptional
A human-readable error message.
500Internal Server Error.
messagestringoptional
A human-readable error message.
Error handling
A 401 is returned: Unauthorized. A 500 is returned: Internal Server Error.